### Constructor

# Vips Image gaussnoise

#### Declaration [src]

    int
    vips_gaussnoise (
      VipsImage** out,
      int width,
      int height,
      ...
    )

#### Description [src]

Make a one band float image of gaussian noise with the specified distribution.

The gaussian distribution is created by averaging 12 random numbers from a linear generator, then weighting appropriately with `mean` and `sigma`.

Optional arguments

- `mean`: `gdouble`, mean of generated pixels
- `sigma`: `gdouble`, standard deviation of generated pixels

See also

`vips_black()`, `vips_xyz()`, `vips_text()`.

This constructor is not directly available to language bindings.

#### Parameters

`out`

  Type: `VipsImage`

  Output image.

  The argument will be set by the function.
  The caller of the function takes ownership of the returned data, and is responsible for freeing it.

`width`

  Type: `int`

  Output width.

`height`

  Type: `int`

  Output height.

`...`

  Type: ``

  `NULL`-terminated list of optional named arguments.

#### Return value

Type: `int`

0 on success, -1 on error.